Bug 1121659 - System History Event for a specific system shows config diff results for all systems
Summary: System History Event for a specific system shows config diff results for all ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space23
TreeView+ depends on / blocked
 
Reported: 2014-07-21 13:47 UTC by trevor.t.kates
Modified: 2015-04-14 19:17 UTC (History)
0 users

Fixed In Version: spacewalk-java-2.2.123-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 18:21:34 UTC


Attachments (Terms of Use)

Description trevor.t.kates 2014-07-21 13:47:00 UTC
Description of problem:

When using SSM to run a config diff across multiple systems, the event history for that diff will show the results for every system when trying to look at a specific system's diff results.

Version-Release number of selected component (if applicable):

spacewalk-java-2.2.122-1 on CentOS 6.5

How reproducible:

Easily.

Steps to Reproduce:
1. Select multiple systems in SSM
2. Select Diff config channels
3. Select a few configuration files shared by the systems
4. Config and schedule the diff
5. Select Schedule, Completed Actions and view Completed Systems for the diff action

Actual results:

Viewing a specific system's diff results will show as many copies of a given config as there are systems that share that config. Each copy relates to a specific system and thus will show whether there are differences or not, but there is no way to tell which system has the differences as one system's event log will show the differences for all systems.

Expected results:

Viewing a specific system's diff results should show only that system's diff results.

Additional info:

Comment 1 Stephen Herr 2014-07-22 14:34:04 UTC
Committing to Spacewalk master:
8f551c0a45648049269edf9cb4cb8de2f713de46

Problem was also present for config file deploy action, fixed in this commit as well.


Note You need to log in before you can comment on or make changes to this bug.